Subject: RE: [hackers-il] RE: Re: Joel Spolsky's "Things you must never do - Part I" in Hebrew

From: "Arik Baratz" <[email-masked]>
Date: Sun, 11 Aug 2002 15:48:16 +0200

The thing is you tend to PREFER the literal translation over trying to get the meaning across. I've seen your "5 worlds" translation and it has the same problem.

Try to do the 'What would the person who have never read the original document think', especially when you translate a pun or an expression. Forget your English for a second and try to read what you wrote, see if it makes sense.

-- Arik

> -----Original Message-----
> From: Shlomi Fish [mailto:[email-masked]]
> Sent: Sunday, August 11, 2002 1:48 PM
> To: [email-masked]
> Subject: [hackers-il] RE: Re: Joel Spolsky's "Things you must 
> never do - Part I" in Hebrew
> 
> 
> On Sun, 11 Aug 2002, Arik Baratz wrote:
> 
> >
> > I realize that that's what Joel wrote, but it's not a valid 
> Hebrew expression.
> >
> > You have to realize that you cannot translate 
> word-for-word. You have to
> > take into account the language and the culture you're 
> translating into.
> >
> 
> I know that of course.
> 
> > The expression 'A ate B's lunch' MEANS 'A has enjoyed the 
> fruits of B's
> > efforts'. A suitable hebrew expression would be "GANAV ET 
> HA'BECHORA" or
> > maybe "HOTZI ET HA'ARMONIM ME'HA'ESH", not "GANAV ET ARUHAT
> > HA'TZOHORAIM". It's just not a valid Hevrew expression. 
> It's not part of
> > the language.
> >
> 
> Thanks, I'll correct that. I just could not think of the corresponding
> Hebrew expression so opted for something literal.
> 
> Regards,
> 
> 	Shlomi Fish
> 
> > -- Arik
> >
> >
> > > -----Original Message-----
> > > From: Shlomi Fish [mailto:[email-masked]]
> > > Sent: Saturday, August 10, 2002 10:43 AM
> > > To: [email-masked]
> > > Subject: [hackers-il] Re: Joel Spolsky's "Things you must
> > > never do - Part I" in Hebrew
> > >
> > >
> > > On Sat, 10 Aug 2002, Arik Baratz wrote:
> > >
> > > > Instead of translating 'stole their lunch' to âðá àú àøåçú ä
> > > öäøééí it is
> > > > better to use a Hebrew expression, like âðá àú äáëåøä.
> > > >
> > >
> > > Hi Arik!
> > >
> > > I tried several ways to view this Hebrew part and was not
> > > successful. Can
> > > you write an HTML file with it or write it in English letters.
> > >
> > > BTW, Joel said "ate their lunch".
> > >
> > > Regards,
> > >
> > > 	Shlomi Fish
> > >
> > > > -- Arik
> > > >
> > > > Shlomi Fish wrote:
> > > > >
> > > > > Joel Spolsky is now pulling an effort to translate his
> > > site into other
> > > > > languages. To help with this good cause, I translated
> > > "Things you must
> > > > > never do - Part I" into Hebrew. This is the article in
> > > which he claims
> > > > > that re-writing entire codebases from scratch is usually
> > > a Bad Idea.
> > > > >
> > > > > Check:
> > > > >
> > > > > http://vipe.technion.ac.il/~shlomif/things.html
> > > > >
> > > > > and the original article in English can be found here:
> > > > >
> > > > > http://www.joelonsoftware.com/articles/fog0000000069.html
> > > > >
> > > > > I sent the translation to Joel, but have not received 
> a reply yet.
> > > > > Technical comments about the translation are welcome. And
> > > this probably
> > > > > would erupt a flame-war.
> > > > >
> > > > > Regards,
> > > > >
> > > > >         Shlomi Fish
> > > > >
> > > > >
> > > > >
> > > 
> ----------------------------------------------------------------------
> > > > > Shlomi Fish        [email-masked]
> > > > > Home Page:         http://t2.technion.ac.il/~shlomif/
> > > > > Home E-mail:       [email-masked]
> > > > >
> > > > > "Let's suppose you have a table with 2^n cups..."
> > > > > "Wait a second - is n a natural number?"
> > > > >
> > > > >
> > > > >
> > > > > To unsubscribe from this group, send an email to:
> > > > > [email-masked]
> > > > >
> > > > >
> > > > >
> > > > > Your use of Yahoo! Groups is subject to
> > > http://docs.yahoo.com/info/terms/
> > > > >
> > > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > To unsubscribe from this group, send an email to:
> > > > [email-masked]
> > > >
> > > >
> > > >
> > > > Your use of Yahoo! Groups is subject to
> > > http://docs.yahoo.com/info/terms/
> > > >
> > > >
> > >
> > >
> > >
> > > 
> ----------------------------------------------------------------------
> > > Shlomi Fish        [email-masked]
> > > Home Page:         http://t2.technion.ac.il/~shlomif/
> > > Home E-mail:       [email-masked]
> > >
> > > "Let's suppose you have a table with 2^n cups..."
> > > "Wait a second - is n a natural number?"
> > >
> > >
> > > ------------------------ Yahoo! Groups Sponsor
> > > ---------------------~-->
> > > 4 DVDs Free +s&p Join Now
> > > http://us.click.yahoo.com/pt6YBB/NXiEAA/Ey.GAA/saFolB/TM
> > > --------------------------------------------------------------
> > > -------~->
> > >
> > > To unsubscribe from this group, send an email to:
> > > [email-masked]
> > >
> > >
> > >
> > > Your use of Yahoo! Groups is subject to
> > > http://docs.yahoo.com/info/terms/
> > >
> > >
> > >
> > 
> **********************************************************************
> > This email and attachments have been scanned for recognized 
> contextual characteristics by PortAuthority Server to 
> SafeGuard privileged or sensitive information. Vidius, Inc. 
> We value information.
> >
> >
> > To unsubscribe from this group, send an email to:
> > [email-masked]
> >
> >
> >
> > Your use of Yahoo! Groups is subject to 
http://docs.yahoo.com/info/terms/

----------------------------------------------------------------------
Shlomi Fish        [email-masked]
Home Page:         http://t2.technion.ac.il/~shlomif/
Home E-mail:       [email-masked]

"Let's suppose you have a table with 2^n cups..."
"Wait a second - is n a natural number?"

To unsubscribe from this group, send an email to:
[email-masked]

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/ 

**********************************************************************
This email and attachments have been scanned for recognized contextual characteristics by PortAuthority Server to SafeGuard privileged or sensitive information. Vidius, Inc. We value information.